plugin.c File Reference

Routines for loading and managing shared library plug-ins. More...

`#include "../config.h"`
`#include <dirent.h>`
`#include <dlfcn.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <limits.h>`
`#include <osmocom/core/plugin.h>`

## Functions

int | osmo_plugin_load_all (const char *directory)
| Load all plugins available in given directory. More...

## Detailed Description

Routines for loading and managing shared library plug-ins.

## Function Documentation

## osmo_plugin_load_all()

int osmo_plugin_load_all | ( | const char * | directory | ) |

Load all plugins available in given directory.

Parameters

  [in] | directory | full path name of directory containing plug-ins

Returns
  number of plugins loaded in case of success, negative in case of error